Package com.sap.ai.sdk.core.model

# Enum Class RTADeployment.StatusEnum

java.lang.Object
java.lang.Enum<RTADeployment.StatusEnum>
com.sap.ai.sdk.core.model.RTADeployment.StatusEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<RTADeployment.StatusEnum>`, `Constable`

Enclosing class:
  `RTADeployment`

public static enum RTADeployment.StatusEnum extends Enum<RTADeployment.StatusEnum>
Deployment status

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMPLETED`
  The COMPLETED option of this RTADeployment
  `DEAD`
  The DEAD option of this RTADeployment
  `DELETING`
  The DELETING option of this RTADeployment
  `PENDING`
  The PENDING option of this RTADeployment
  `RUNNING`
  The RUNNING option of this RTADeployment
  `UNKNOWN`
  The UNKNOWN option of this RTADeployment
  `UNKNOWN_DEFAULT_OPEN_API`
  The UNKNOWN_DEFAULT_OPEN_API option of this RTADeployment

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RTADeployment.StatusEnum`
  `fromValue(String value)`
  Get the enum value from a String value
  `String`
  `getValue()`
  Get the value of the enum
  `String`
  `toString()`
  Get the String value of the enum value.
  `static RTADeployment.StatusEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RTADeployment.StatusEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PENDING

    public static final RTADeployment.StatusEnum PENDING
    The PENDING option of this RTADeployment

  - ### RUNNING

    public static final RTADeployment.StatusEnum RUNNING
    The RUNNING option of this RTADeployment

  - ### COMPLETED

    public static final RTADeployment.StatusEnum COMPLETED
    The COMPLETED option of this RTADeployment

  - ### DEAD

    public static final RTADeployment.StatusEnum DEAD
    The DEAD option of this RTADeployment

  - ### UNKNOWN

    public static final RTADeployment.StatusEnum UNKNOWN
    The UNKNOWN option of this RTADeployment

  - ### DELETING

    public static final RTADeployment.StatusEnum DELETING
    The DELETING option of this RTADeployment

  - ### UNKNOWN_DEFAULT_OPEN_API

    public static final RTADeployment.StatusEnum UNKNOWN_DEFAULT_OPEN_API
    The UNKNOWN_DEFAULT_OPEN_API option of this RTADeployment

- ## Method Details

  - ### values

    public static RTADeployment.StatusEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RTADeployment.StatusEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    @Nonnull public String getValue()
    Get the value of the enum
    Returns:
      The enum value

  - ### toString

    @Nonnull public String toString()
    Get the String value of the enum value.
    Overrides:
      `toString` in class `Enum<RTADeployment.StatusEnum>`
    Returns:
      The enum value as String

  - ### fromValue

    @Nonnull public static RTADeployment.StatusEnum fromValue(@Nonnull String value)
    Get the enum value from a String value
    Parameters:
      `value` - The String value
    Returns:
      The enum value of type RTADeployment